summaryrefslogtreecommitdiff
path: root/tests/case-fold-char-type
diff options
context:
space:
mode:
Diffstat (limited to 'tests/case-fold-char-type')
-rwxr-xr-xtests/case-fold-char-type4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/case-fold-char-type b/tests/case-fold-char-type
index 7ae7d4b5..d5fd67ca 100755
--- a/tests/case-fold-char-type
+++ b/tests/case-fold-char-type
@@ -8,7 +8,7 @@ fail=0
for LOC in en_US.UTF-8 zh_CN $LOCALE_FR_UTF8; do
out=out1-$LOC
printf '1\nY\n.\n' | LC_ALL=$LOC grep -i '[[:lower:]]' > $out || fail=1
- compare $out exp1 || fail=1
+ compare exp1 $out || fail=1
done
printf 'y\n' > exp2 || framework_failure_
@@ -16,7 +16,7 @@ printf 'y\n' > exp2 || framework_failure_
for LOC in en_US.UTF-8 zh_CN $LOCALE_FR_UTF8; do
out=out2-$LOC
printf '1\ny\n.\n' | LC_ALL=$LOC grep -i '[[:upper:]]' > $out || fail=1
- compare $out exp2 || fail=1
+ compare exp2 $out || fail=1
done
Exit $fail